Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ResourceData

Resource Data Class
Contained in: global
Derived from: none
Derived by: CL_ResourceData_Boolean CL_ResourceData_Integer CL_ResourceData_Raw CL_ResourceData_String
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_ResourceData` | `(`CL_Resource`& `resource`)`;
``virtual`` | `~CL_ResourceData` | `()`;

### Attributes:

``CL_Resource`` | `get_resource` | `()`;

## Description:

## Function Member Descriptions:

CL_ResourceData::CL_ResourceData - Resource Data Constructor
`` `CL_ResourceData` `(`CL_Resource`& `resource`)`;

CL_ResourceData::get_resource - Get Resource
``CL_Resource`` `get_resource` `()`;

CL_ResourceData::~CL_ResourceData - Resource Data Destructor
``virtual`` `~CL_ResourceData` `()`;

## Variable Member Descriptions:

CL_ResourceData::impl - Pointer to the implementation
``CL_ResourceData_Generic` *` ``impl`;`